> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truststack.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Set tags for an event



## OpenAPI

````yaml /openapi.json post /event-tags/set
openapi: 3.0.0
info:
  title: Trust Stack API
  description: Programmatic access to the Trust Stack API.
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /event-tags/set:
    post:
      tags:
        - Event Tag
      summary: Set tags for an event
      operationId: setEventTags
      parameters: []
      requestBody:
        required: true
        description: Array of event tags to set
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/CreateEventTag'
      responses:
        '200':
          description: Event tags set successfully
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/EventTag'
        '400':
          description: Invalid request
components:
  schemas:
    CreateEventTag:
      type: object
      properties:
        code:
          type: string
          description: The code of the event tag, a unique identifier
        name:
          type: string
          description: The name of the event tag
        description:
          type: string
          description: The description of the event tag
      required:
        - code
    EventTag:
      type: object
      properties:
        id:
          type: string
          description: The id of the event tag
        code:
          type: string
          description: The code of the event tag, a unique identifier
        name:
          type: string
          description: The name of the event tag
        description:
          type: string
          description: The description of the event tag
        createdAt:
          format: date-time
          type: string
          description: The date and time the event tag was created
        updatedAt:
          format: date-time
          type: string
          description: The date and time the event tag was updated
        deleted:
          type: boolean
          description: Whether the event tag is deleted
        deletedAt:
          format: date-time
          type: string
          description: The date and time the event tag was deleted
      required:
        - id
        - code
        - name
        - description
        - createdAt
        - updatedAt
        - deleted
        - deletedAt

````